# (c) cavaliba.com - app_data - aaa.py

# from django.utils.translation import gettext as _
# appname without app_
APP_NAME = "data"

BUILTIN_DATA = '''

- classname: _permission
  keyname: p_data_admin
  is_builtin: True
  appname: data
  description: "Built-in DATA Admin permission"
  displayname: "p_data_admin"


- classname: _permission
  keyname: p_data_access
  is_builtin: True
  appname: data
  description: "Built-in DATA Access permission"
  displayname: "p_data_access"

- classname: _permission
  keyname: p_schema_ro
  is_builtin: True
  appname: data
  description: "Built-in DATA RO Schema permission"
  displayname: "p_schema_ro"

- classname: _permission
  keyname: p_schema_rw
  is_builtin: True
  appname: data
  description: "Built-in DATA RW Schema permission"
  displayname: "p_schema_rw"

- classname: _permission
  keyname: p_schema_import
  is_builtin: True
  appname: data
  description: "Built-in DATA IMPORT Schema permission"
  displayname: "p_schema_import"

- classname: _permission
  keyname: p_data_ro
  is_builtin: True
  appname: data
  description: "Built-in DATA RO Instance permission"
  displayname: "p_data_ro"

- classname: _permission
  keyname: p_data_rw
  is_builtin: True
  appname: data
  description: "Built-in DATA RW Instance permission"
  displayname: "p_data_rw"

- classname: _permission
  keyname: p_data_import
  is_builtin: True
  appname: data
  description: "Built-in DATA Import permission"
  displayname: "p_data_import"

- classname: _permission
  keyname: p_data_export
  is_builtin: True
  appname: data
  description: "Built-in DATA Export permission"
  displayname: p_data_export


# ----

- classname: _role
  keyname: role_data_admin
  displayname: Built-in DATA Admin Role
  is_builtin: true
  permissions:
      - p_data_access
      - p_schema_rw
      - p_schema_ro
      - p_schema_import
      - p_data_rw
      - p_data_ro
      - p_data_import
      - p_data_admin

- classname: _role
  keyname: role_data_ro
  displayname: Built-in DATA RO Role
  is_builtin: true
  permissions:
      - p_data_access
      - p_schema_ro
      - p_data_ro

- classname: _role
  keyname: role_data_rw
  displayname: Built-in DATA RW Role
  is_builtin: true
  permissions:
      - p_data_access
      - p_schema_rw
      - p_schema_ro
      - p_data_rw
      - p_data_ro




# schemas
# -------

- classname: _schema
  keyname: _enumerate
  #_action: init
  _displayname: Data Enumerates
  _is_enabled: yes
  _icon: fa-table
  _order: 810
  _page: Internal
  _role_show: role_data_admin
  _role_access: role_data_admin
  _role_read: role_data_admin
  _role_create: role_data_admin
  _role_update: role_data_admin
  _role_delete: role_data_admin
  _role_onoff: role_data_admin
  _role_import: role_data_admin
  _role_export: role_data_admin
  description:
    displayname: Description
    order: 100
    dataformat: string
    dataformat_ext: ""
    cardinal_min: 0
    cardinal_max: 1
    default : ""
  content:
    displayname: Content
    cardinal_min: 0
    cardinal_max: 1
    page: input
    order: 120
    dataformat: text
    dataformat_ext: yaml 



- classname: _schema
  keyname: _pipeline
  _displayname: Data Pipelines
  _is_enabled: yes
  _icon: fa-gears
  _order: 500
  _page: Internal
  _role_show: role_data_ro
  _role_access: role_data_ro
  _role_read: role_data_ro
  _role_create: role_data_rw
  _role_update: role_data_rw
  _role_delete: role_data_rw
  _role_onoff: role_data_rw
  _role_import: role_data_admin
  _role_export: role_data_admin
  description:
    displayname: Description
    order: 100
    dataformat: string
    dataformat_ext: ""
    cardinal_min: 0
    cardinal_max: 1
    default : ""
  content:
    displayname: Content
    cardinal_min: 0
    cardinal_max: 1
    page: Content
    order: 100
    dataformat: text
    dataformat_ext: yaml


- classname: _schema
  keyname: _dataview
  _displayname: Data Views
  _is_enabled: yes
  _icon: fa-table
  _order: 810
  _page: Internal
  _role_show: role_data_ro
  _role_access: role_data_ro
  _role_read: role_data_ro
  _role_create: role_data_rw
  _role_update: role_data_rw
  _role_delete: role_data_rw
  _role_onoff: role_data_rw
  _role_import: role_data_admin
  _role_export: role_data_admin
  description:
    displayname: Description
    order: 100
    dataformat: string
    dataformat_ext: ""
    cardinal_min: 0
    cardinal_max: 1
    default : ""
  target_class:
    displayname: Schema
    cardinal_min: 0
    cardinal_max: 1
    order: 110
    dataformat: string
  content:
    displayname: Content
    cardinal_min: 0
    cardinal_max: 1
    order: 120
    dataformat: text
    dataformat_ext: yaml


# Dataview
# --------
- classname: _dataview
  keyname: _dataview_default
  target_class: _dataview
  displayname: Data View default
  is_enabled: true
  description: Default dataview for DataView
  content: |
    columns:
      - keyname
      - displayname
      - target_class
      - last_update

'''
