# cavaliba.com
# app_user - register.py


APP_NAME = "user"


# Permissions
# - p_user_access
# - p_user_admin
# - p_user_pref
# - p_user_email_test
# - user_sms_test
# - p_user_debug
# - p_user_ro
# - p_user_rw
# - p_user_import
# - p_user_export
# - p_group_ro
# - p_group_rw
# - p_group_import
# - p_group_export
# - p_role_ro
# - p_role_rw
# - p_role_import
# - p_role_export
# - p_permission_ro
# - p_permission_rw
# - p_permission_import
# - p_permission_export



BUILTIN_DATA = '''

- classname: _permission
  keyname: p_user_admin
  is_builtin: True
  appname: user
  description: "Built-in USER admin"
  displayname: ""

- classname: _permission
  keyname: p_user_access
  is_builtin: True
  appname: user
  description: "Built-in USER access"
  displayname: ""


- classname: _permission
  keyname: p_user_pref
  is_builtin: True
  appname: user
  description: "Built-in USER.preferences permission"
  displayname: ""

- classname: _permission
  keyname: p_user_email_test
  is_builtin: True
  appname: user
  description: "Built-in USER.test_email permission"
  displayname: ""

- classname: _permission
  keyname: p_user_sms_test
  is_builtin: True
  appname: user
  description: "Built-in USER.test_sms permission"
  displayname: ""

- classname: _permission
  keyname: p_user_debug
  is_builtin: True
  appname: user
  description: "Built-in USER.debug permission"
  displayname: ""

- classname: _permission
  keyname: p_user_ro
  is_builtin: True
  appname: user
  description: "Built-in USER.user_read permission"
  displayname: ""

- classname: _permission
  keyname: p_user_rw
  is_builtin: True
  appname: user
  description: "Built-in USER.user_write permission"
  displayname: ""

- classname: _permission
  keyname: p_user_import
  is_builtin: True
  appname: user
  description: "Built-in USER.user_import permission"
  displayname: ""

- classname: _permission
  keyname: p_user_export
  is_builtin: True
  appname: user
  description: "Built-in USER.user_export permission"
  displayname: ""

- classname: _permission
  keyname: p_group_ro
  is_builtin: True
  appname: user
  description: "Built-in USER.group_read permission"
  displayname: ""

- classname: _permission
  keyname: p_group_rw
  is_builtin: True
  appname: user
  description: "Built-in USER.group_write permission"
  displayname: ""


- classname: _permission
  keyname: p_group_import
  is_builtin: True
  appname: user
  description: "Built-in USER.group_import permission"
  displayname: ""

- classname: _permission
  keyname: p_group_export
  is_builtin: True
  appname: user
  description: "Built-in USER.group_export permission"
  displayname: ""



- classname: _permission
  keyname: p_role_ro
  is_builtin: True
  appname: user
  description: "Built-in USER.role_read permission"
  displayname: ""

- classname: _permission
  keyname: p_role_rw
  is_builtin: True
  appname: user
  description: "Built-in USER.role_write permission"
  displayname: ""

- classname: _permission
  keyname: p_role_import
  is_builtin: True
  appname: user
  description: "Built-in USER.role_import permission"
  displayname: ""

- classname: _permission
  keyname: p_role_export
  is_builtin: True
  appname: user
  description: "Built-in USER.role_export permission"
  displayname: ""


- classname: _permission
  keyname: p_permission_ro
  is_builtin: True
  appname: user
  description: "Built-in USER.permission_read permission"
  displayname: ""

- classname: _permission
  keyname: p_permission_rw
  is_builtin: True
  appname: user
  description: "Built-in USER.permission_write permission"
  displayname: ""


- classname: _permission
  keyname: p_permission_import
  is_builtin: True
  appname: user
  description: "Built-in USER.permission_import permission"
  displayname: ""

- classname: _permission
  keyname: p_permission_export
  is_builtin: True
  appname: user
  description: "Built-in USER.permission_export permission"
  displayname: ""

  
# ------------
# Roles
# ------------

- classname: _role
  keyname: role_user_admin
  is_builtin: True
  displayname: Built-in USER ADMIN Role
  permissions: 
    - p_user_access
    - p_user_admin
    - p_user_pref
    - p_user_email_test
    - user_sms_test
    - p_user_debug
    - p_user_ro
    - p_user_rw
    - p_user_import
    - p_user_export
    - p_group_ro
    - p_group_rw
    - p_group_import
    - p_group_export
    - p_role_ro
    - p_role_rw
    - p_role_import
    - p_role_export
    - p_permission_ro
    - p_permission_rw
    - p_permission_import
    - p_permission_export


- classname: _role
  keyname: role_user_rw
  is_builtin: True
  displayname: Built-in USER RW Role
  permissions: 
    - p_user_access
    - p_user_pref
    - p_user_email_test
    - user_sms_test
    - p_user_debug
    - p_user_ro
    - p_user_rw
    - p_user_import
    - p_user_export
    - p_group_ro
    - p_group_rw
    - p_group_import
    - p_group_export
    - p_role_ro


- classname: _role
  keyname: role_user_ro
  is_builtin: True
  displayname: Built-in USER RO Role
  permissions: 
    - p_user_access
    - p_user_pref
    - p_user_debug
    - p_user_ro
    - p_group_ro


- classname: _role
  keyname: role_group_ro
  is_builtin: True
  displayname: Built-in USER Group RO Role
  permissions: 
    - p_user_access
    - p_user_ro
    - p_group_ro

- classname: _role
  keyname: role_group_rw
  is_builtin: True
  displayname: Built-in USER Group RW Role
  permissions: 
    - p_user_access
    - p_user_ro
    - p_group_ro
    - p_group_rw
    - p_group_import
    - p_group_export


- classname: _role
  keyname: role_role_ro
  is_builtin: True
  displayname: Built-in USER RO Role
  permissions: 
    - p_user_access
    - p_user_ro
    - p_group_ro
    - p_permission_ro
    - p_role_ro

- classname: _role
  keyname: role_role_rw
  is_builtin: True
  displayname: Built-in USER RW Role
  permissions: 
    - p_user_access
    - p_user_ro
    - p_group_ro
    - p_role_ro
    - p_role_rw
    - p_role_import
    - p_role_export
    - p_permission_ro
    - p_permission_rw
    - p_permission_import
    - p_permission_export


- classname: _role
  keyname: role_security_audit
  is_builtin: True
  displayname: Built-in USER Security RO Role
  permissions: 
    - p_user_access
    - p_user_pref
    - p_user_email_test
    - user_sms_test
    - p_user_debug
    - p_user_ro
    - p_user_export
    - p_group_ro
    - p_group_export
    - p_role_ro
    - p_role_export
    - p_permission_ro
    - p_permission_export


- classname: _role
  keyname: role_security_admin
  is_builtin: True
  displayname: Built-in USER Security RW Role
  permissions: 
    - p_user_access
    - p_user_admin
    - p_user_pref
    - p_user_email_test
    - user_sms_test
    - p_user_debug
    - p_user_ro
    - p_user_rw
    - p_user_import
    - p_user_export
    - p_group_ro
    - p_group_rw
    - p_group_import
    - p_group_export
    - p_role_ro
    - p_role_rw
    - p_role_import
    - p_role_export
    - p_permission_ro
    - p_permission_rw
    - p_permission_import
    - p_permission_export


# ------------
# API Keys
# ------------
- classname: _schema
  keyname: _apikey
  #_action: init
  _displayname: API Keys
  _is_enabled: yes
  _icon: fa-key
  _order: 820
  _page: Internal
  _role_show: role_data_admin
  _role_access: role_data_admin
  _role_read: role_data_admin
  _role_create: role_data_admin
  _role_update: role_data_admin
  _role_delete: role_data_admin
  _role_onoff: role_data_admin
  _role_import: role_data_admin
  _role_export: role_data_admin
  keyvalue:
        displayname: Secret
        order: 50
        dataformat: string
  description:
        displayname: Description
        order: 60
        dataformat: string
        dataformat_ext: ""
        cardinal_min: 0
        cardinal_max: 1
        default : "API Key"
  is_readonly:
        displayname: Read-Only
        dataformat: boolean
        order: 70
        description: Cocher pour activer !
        default: true
  permissions:
        order: 80
        displayname: Permissions
        dataformat: text
  not_after:
        displayname: Not After
        description: format YYYY-MM-DD
        dataformat: date
  time_filter:
        displayname: Time Filter
        dataformat: text
  ip_filter:
        displayname: IP Filter
        dataformat: text
        default : "*"
  acl_filter:
        displayname: ACL Filter
        cardinal_max: 0
        dataformat: text
  last_success:
        displayname: Last Success
        description: format YYYY-MM-DD
        dataformat: date
  last_error:
        displayname: Last Error
        description: format YYYY-MM-DD
        dataformat: date
  success_count:
        displayname: Success Count
        dataformat: int
  error_count:
        displayname: Error Count
        dataformat: int

'''

